Package com.xmlmind.w2x.docx.packaging

## Class Part

- java.lang.Object
- - com.xmlmind.w2x.docx.packaging.Part

- All Implemented Interfaces:
    `Comparable<Part>`

      public final class Part
      extends Object
      implements Comparable<Part>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Package` | `container` |
    `String` | `contentType` |
    `static Part[]` | `EMPTY_LIST` |
    `String` | `name` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Part​(Package container, String name, String contentType, ZipEntry[] zipEntries)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(Part other)` |
    `Related[]` | `getAllRelated()` |
    `Document` | `getDocument()` |
    `static String` | `getDocumentURI​(Document doc)` |
    `InputStream` | `getInputStream()` |
    `Related` | `getRelated​(String relId)` |
    `Related[]` | `getRelatedByRelation​(String relation)` |
    `Part` | `getRelatedPart​(String relId)` |
    `Part[]` | `getRelatedPartByRelation​(String relation)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### container

          public final Package container

    - #### name

          public final String name

    - #### contentType

          public final String contentType

    - #### EMPTY_LIST

          public static final Part[] EMPTY_LIST

  - ### Constructor Detail

    - #### Part

          public Part​(Package container,
                      String name,
                      String contentType,
                      ZipEntry[] zipEntries)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(Part other)

      Specified by:
        `compareTo` in interface `Comparable<Part>`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Throws:
        `IOException`

    - #### getDocument

          public Document getDocument()
                               throws IOException

      Throws:
        `IOException`

    - #### getDocumentURI

          public static String getDocumentURI​(Document doc)

    - #### getRelated

          public Related getRelated​(String relId)

    - #### getAllRelated

          public Related[] getAllRelated()

    - #### getRelatedPart

          public Part getRelatedPart​(String relId)

    - #### getRelatedByRelation

          public Related[] getRelatedByRelation​(String relation)

    - #### getRelatedPartByRelation

          public Part[] getRelatedPartByRelation​(String relation)